MLDSAParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.mldsa

## Class MLDSAParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.mldsa.MLDSAParameters

- Deprecated.
  use org.bouncycastle.crypto.params.MLDSAParameters

      @Deprecated
      public class MLDSAParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MLDSAParameters` | `ml_dsa_44` Deprecated.
    `static MLDSAParameters` | `ml_dsa_44_with_sha512` Deprecated.
    `static MLDSAParameters` | `ml_dsa_65` Deprecated.
    `static MLDSAParameters` | `ml_dsa_65_with_sha512` Deprecated.
    `static MLDSAParameters` | `ml_dsa_87` Deprecated.
    `static MLDSAParameters` | `ml_dsa_87_with_sha512` Deprecated.
    `static int` | `TYPE_PURE` Deprecated.
    `static int` | `TYPE_SHA2_512` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Deprecated.
    `int` | `getType()` Deprecated.
    `boolean` | `isPreHash()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_PURE

          public static final int TYPE_PURE

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPE_SHA2_512

          public static final int TYPE_SHA2_512

      Deprecated.
      See Also:
        Constant Field Values

    - #### ml_dsa_44

          public static final MLDSAParameters ml_dsa_44

      Deprecated.

    - #### ml_dsa_65

          public static final MLDSAParameters ml_dsa_65

      Deprecated.

    - #### ml_dsa_87

          public static final MLDSAParameters ml_dsa_87

      Deprecated.

    - #### ml_dsa_44_with_sha512

          public static final MLDSAParameters ml_dsa_44_with_sha512

      Deprecated.

    - #### ml_dsa_65_with_sha512

          public static final MLDSAParameters ml_dsa_65_with_sha512

      Deprecated.

    - #### ml_dsa_87_with_sha512

          public static final MLDSAParameters ml_dsa_87_with_sha512

      Deprecated.

  - ### Method Detail

    - #### isPreHash

          public boolean isPreHash()

      Deprecated.

    - #### getType

          public int getType()

      Deprecated.

    - #### getName

          public java.lang.String getName()

      Deprecated.